import{s as Qe,n as et,o as tt}from"../chunks/scheduler.7bc62968.js";import{S as ot,i as rt,g as s,s as n,u as Ze,A as st,h as l,f as t,c as i,j as N,v as Ye,y as a,k as O,o as U,a as r,w as Ge,d as Ve,t as Xe,x as Ke}from"../chunks/index.294b8d9a.js";import{I as lt}from"../chunks/IconCopyLink.b33316bd.js";import{C as nt}from"../chunks/CodeBlock.e72a19d3.js";function it(Te){let c,R,D,B,d,p,I,u,ye,z,Me="Spaces Configuration Reference",F,m,He="Spaces are configured through the <code>YAML</code> block at the top of the <strong>README.md</strong> file at the root of the repository. All the accepted parameters are listed below.",Z,h,_e=`<strong><code>title</code></strong> : <em>string</em><br/>
Display title for the Space.`,Y,f,we=`<strong><code>emoji</code></strong> : <em>string</em><br/>
Space emoji (emoji-only character allowed).`,G,g,Le=`<strong><code>colorFrom</code></strong> : <em>string</em><br/>
Color for Thumbnail gradient (red, yellow, green, blue, indigo, purple, pink, gray).`,V,b,Se=`<strong><code>colorTo</code></strong> : <em>string</em><br/>
Color for Thumbnail gradient (red, yellow, green, blue, indigo, purple, pink, gray).`,X,v,Pe=`<strong><code>sdk</code></strong> : <em>string</em><br/>
Can be either <code>gradio</code>, <code>streamlit</code>, <code>docker</code>, or <code>static</code>.`,K,y,Ce=`<strong><code>python_version</code></strong>: <em>string</em><br/>
Any valid Python <code>3.x</code> or <code>3.x.x</code> version.<br/>
Defaults to <code>3.10</code>.`,Q,T,xe=`<strong><code>sdk_version</code></strong> : <em>string</em><br/>
Specify the version of the selected SDK (Streamlit or Gradio).<br/>
All versions of Gradio are supported.<br/>
All versions of Streamlit from <code>0.79.0</code> are supported.`,ee,M,ke=`<strong><code>suggested_hardware</code></strong> : <em>string</em><br/>
Specify the suggested <a href="https://huggingface.co/docs/hub/spaces-gpus" rel="nofollow">hardware</a> on which this Space must be run.<br/>
Useful for Spaces that are meant to be duplicated by other users.<br/>
Setting this value will not automatically assign an hardware to this Space.<br/>
Value must be a valid hardware flavor (e.g. <code>&quot;cpu-upgrade&quot;</code>, <code>&quot;t4-small&quot;</code>, <code>&quot;t4-medium&quot;</code>, <code>&quot;a10g-small&quot;</code>, <code>&quot;a10g-large&quot;</code> or <code>&quot;a100-large&quot;</code>).`,te,H,qe=`<strong><code>suggested_storage</code></strong> : <em>string</em><br/>
Specify the suggested <a href="https://huggingface.co/docs/hub/spaces-storage" rel="nofollow">permanent storage</a> on which this Space must be run.<br/>
Useful for Spaces that are meant to be duplicated by other users.<br/>
Setting this value will not automatically assign a permanent storage to this Space.<br/>
Value must be one of <code>&quot;small&quot;</code>, <code>&quot;medium&quot;</code> or <code>&quot;large&quot;</code>.`,oe,_,We=`<strong><code>app_file</code></strong> : <em>string</em><br/>
Path to your main application file (which contains either <code>gradio</code> or <code>streamlit</code> Python code, or <code>static</code> html code).<br/>
Path is relative to the root of the repository.`,re,w,je=`<strong><code>app_port</code></strong> : <em>int</em><br/>
Port on which your application is running. Used only if <code>sdk</code> is <code>docker</code>. Default port is <code>7860</code>.`,se,L,Ae=`<strong><code>base_path</code></strong>: <em>string</em>
For non-static Spaces, initial url to render. Needs to start with <code>/</code>. For static Spaces, use <code>app_file</code> instead.`,le,S,$e=`<strong><code>fullWidth</code></strong>: <em>boolean</em><br/>
Whether your Space is rendered inside a full-width (when <code>true</code>) or fixed-width column (ie. “container” CSS) inside the iframe.
Defaults to false in <code>gradio</code>, and to true for other sdks.`,ne,P,Ee=`<strong><code>models</code></strong> : <em>List[string]</em><br/>
HF model IDs (like <code>gpt2</code> or <code>deepset/roberta-base-squad2</code>) used in the Space.<br/>
Will be parsed automatically from your code if not specified here.`,ie,C,ze=`<strong><code>datasets</code></strong> : <em>List[string]</em><br/>
HF dataset IDs (like <code>common_voice</code> or <code>oscar-corpus/OSCAR-2109</code>) used in the Space.<br/>
Will be parsed automatically from your code if not specified here.`,ae,x,Oe=`<strong><code>tags</code></strong> : <em>List[string]</em><br/>
List of terms that describe your Space task or scope.`,ce,k,De=`<strong><code>pinned</code></strong> : <em>boolean</em><br/>
Whether the Space stays on top of your profile. Can be useful if you have a lot of Spaces so you and others can quickly see your best Space.`,de,q,Ie=`<strong><code>hf_oauth</code></strong> : <em>boolean</em><br/>
Whether a connected OAuth app is associated to this Space. See <a href="https://huggingface.co/docs/hub/spaces-oauth" rel="nofollow">Adding a Sign-In with HF button to your Space</a> for more details.`,pe,W,Je=`<strong><code>hf_oauth_redirect_path</code></strong> : <em>string</em><br/>
Authorized relative redirect path of the connected OAuth app. <code>/login/callback</code> and <code>/auth/callback</code> are authorized by default and do not need this parameter. See <a href="https://huggingface.co/docs/hub/spaces-oauth" rel="nofollow">Adding a Sign-In with HF button to your space</a> for more details.`,ue,j,Ne=`<strong><code>disable_embedding</code></strong> : <em>boolean</em><br/>
Whether the Space iframe can be embedded in other websites.
Defaults to false, i.e. Spaces <em>can</em> be embedded.`,me,A,Ue=`<strong><code>custom_headers</code></strong> : <em>Dict[string, string]</em><br/>
Set custom HTTP headers that will be added to all HTTP responses when serving your Space.<br/>
For now, only the <a href="https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Cross-Origin-Embedder-Policy" rel="nofollow">cross-origin-embedder-policy</a> (COEP), <a href="https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Cross-Origin-Opener-Policy" rel="nofollow">cross-origin-opener-policy</a> (COOP), and <a href="https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Cross-Origin-Resource-Policy" rel="nofollow">cross-origin-resource-policy</a> (CORP) headers are allowed. These headers can be used to set up a cross-origin isolated environment and enable powerful features like <code>SharedArrayBuffer</code>, for example:`,he,$,fe,E,Re="<em>Note:</em> all headers and values must be lowercase.",ge,J,be;return u=new lt({}),$=new nt({props:{code:"Y3VzdG9tX2hlYWRlcnMlM0ElMEElMjAlMjBjcm9zcy1vcmlnaW4tZW1iZWRkZXItcG9saWN5JTNBJTIwcmVxdWlyZS1jb3JwJTBBJTIwJTIwY3Jvc3Mtb3JpZ2luLW9wZW5lci1wb2xpY3klM0ElMjBzYW1lLW9yaWdpbiUwQSUyMCUyMGNyb3NzLW9yaWdpbi1yZXNvdXJjZS1wb2xpY3klM0ElMjBjcm9zcy1vcmlnaW4=",highlighted:`<span class="hljs-attr">custom_headers:</span>
  <span class="hljs-attr">cross-origin-embedder-policy:</span> <span class="hljs-string">require-corp</span>
  <span class="hljs-attr">cross-origin-opener-policy:</span> <span class="hljs-string">same-origin</span>
  <span class="hljs-attr">cross-origin-resource-policy:</span> <span class="hljs-string">cross-origin</span>`,wrap:!1}}),{c(){c=s("meta"),R=n(),D=s("p"),B=n(),d=s("h1"),p=s("a"),I=s("span"),Ze(u.$$.fragment),ye=n(),z=s("span"),z.textContent=Me,F=n(),m=s("p"),m.innerHTML=He,Z=n(),h=s("p"),h.innerHTML=_e,Y=n(),f=s("p"),f.innerHTML=we,G=n(),g=s("p"),g.innerHTML=Le,V=n(),b=s("p"),b.innerHTML=Se,X=n(),v=s("p"),v.innerHTML=Pe,K=n(),y=s("p"),y.innerHTML=Ce,Q=n(),T=s("p"),T.innerHTML=xe,ee=n(),M=s("p"),M.innerHTML=ke,te=n(),H=s("p"),H.innerHTML=qe,oe=n(),_=s("p"),_.innerHTML=We,re=n(),w=s("p"),w.innerHTML=je,se=n(),L=s("p"),L.innerHTML=Ae,le=n(),S=s("p"),S.innerHTML=$e,ne=n(),P=s("p"),P.innerHTML=Ee,ie=n(),C=s("p"),C.innerHTML=ze,ae=n(),x=s("p"),x.innerHTML=Oe,ce=n(),k=s("p"),k.innerHTML=De,de=n(),q=s("p"),q.innerHTML=Ie,pe=n(),W=s("p"),W.innerHTML=Je,ue=n(),j=s("p"),j.innerHTML=Ne,me=n(),A=s("p"),A.innerHTML=Ue,he=n(),Ze($.$$.fragment),fe=n(),E=s("p"),E.innerHTML=Re,ge=n(),J=s("p"),this.h()},l(e){const o=st("svelte-1phssyn",document.head);c=l(o,"META",{name:!0,content:!0}),o.forEach(t),R=i(e),D=l(e,"P",{}),N(D).forEach(t),B=i(e),d=l(e,"H1",{class:!0});var ve=N(d);p=l(ve,"A",{id:!0,class:!0,href:!0});var Be=N(p);I=l(Be,"SPAN",{});var Fe=N(I);Ye(u.$$.fragment,Fe),Fe.forEach(t),Be.forEach(t),ye=i(ve),z=l(ve,"SPAN",{"data-svelte-h":!0}),a(z)!=="svelte-dgbp7h"&&(z.textContent=Me),ve.forEach(t),F=i(e),m=l(e,"P",{"data-svelte-h":!0}),a(m)!=="svelte-1rus8o"&&(m.innerHTML=He),Z=i(e),h=l(e,"P",{"data-svelte-h":!0}),a(h)!=="svelte-1o8zbi0"&&(h.innerHTML=_e),Y=i(e),f=l(e,"P",{"data-svelte-h":!0}),a(f)!=="svelte-1f0ocfz"&&(f.innerHTML=we),G=i(e),g=l(e,"P",{"data-svelte-h":!0}),a(g)!=="svelte-qbm1rz"&&(g.innerHTML=Le),V=i(e),b=l(e,"P",{"data-svelte-h":!0}),a(b)!=="svelte-1u1c3la"&&(b.innerHTML=Se),X=i(e),v=l(e,"P",{"data-svelte-h":!0}),a(v)!=="svelte-vqx1dg"&&(v.innerHTML=Pe),K=i(e),y=l(e,"P",{"data-svelte-h":!0}),a(y)!=="svelte-1djpop4"&&(y.innerHTML=Ce),Q=i(e),T=l(e,"P",{"data-svelte-h":!0}),a(T)!=="svelte-1q9ujtb"&&(T.innerHTML=xe),ee=i(e),M=l(e,"P",{"data-svelte-h":!0}),a(M)!=="svelte-5hxgt9"&&(M.innerHTML=ke),te=i(e),H=l(e,"P",{"data-svelte-h":!0}),a(H)!=="svelte-1wd1r0k"&&(H.innerHTML=qe),oe=i(e),_=l(e,"P",{"data-svelte-h":!0}),a(_)!=="svelte-10ue70i"&&(_.innerHTML=We),re=i(e),w=l(e,"P",{"data-svelte-h":!0}),a(w)!=="svelte-np4by"&&(w.innerHTML=je),se=i(e),L=l(e,"P",{"data-svelte-h":!0}),a(L)!=="svelte-a0961b"&&(L.innerHTML=Ae),le=i(e),S=l(e,"P",{"data-svelte-h":!0}),a(S)!=="svelte-10nikp5"&&(S.innerHTML=$e),ne=i(e),P=l(e,"P",{"data-svelte-h":!0}),a(P)!=="svelte-s0reay"&&(P.innerHTML=Ee),ie=i(e),C=l(e,"P",{"data-svelte-h":!0}),a(C)!=="svelte-1sc6yo3"&&(C.innerHTML=ze),ae=i(e),x=l(e,"P",{"data-svelte-h":!0}),a(x)!=="svelte-1gxsj06"&&(x.innerHTML=Oe),ce=i(e),k=l(e,"P",{"data-svelte-h":!0}),a(k)!=="svelte-n0xeyu"&&(k.innerHTML=De),de=i(e),q=l(e,"P",{"data-svelte-h":!0}),a(q)!=="svelte-8e9il"&&(q.innerHTML=Ie),pe=i(e),W=l(e,"P",{"data-svelte-h":!0}),a(W)!=="svelte-1fx319r"&&(W.innerHTML=Je),ue=i(e),j=l(e,"P",{"data-svelte-h":!0}),a(j)!=="svelte-1vor0c2"&&(j.innerHTML=Ne),me=i(e),A=l(e,"P",{"data-svelte-h":!0}),a(A)!=="svelte-1vtuad"&&(A.innerHTML=Ue),he=i(e),Ye($.$$.fragment,e),fe=i(e),E=l(e,"P",{"data-svelte-h":!0}),a(E)!=="svelte-1athwnk"&&(E.innerHTML=Re),ge=i(e),J=l(e,"P",{}),N(J).forEach(t),this.h()},h(){O(c,"name","hf:doc:metadata"),O(c,"content",JSON.stringify(at)),O(p,"id","spaces-configuration-reference"),O(p,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),O(p,"href","#spaces-configuration-reference"),O(d,"class","relative group")},m(e,o){U(document.head,c),r(e,R,o),r(e,D,o),r(e,B,o),r(e,d,o),U(d,p),U(p,I),Ge(u,I,null),U(d,ye),U(d,z),r(e,F,o),r(e,m,o),r(e,Z,o),r(e,h,o),r(e,Y,o),r(e,f,o),r(e,G,o),r(e,g,o),r(e,V,o),r(e,b,o),r(e,X,o),r(e,v,o),r(e,K,o),r(e,y,o),r(e,Q,o),r(e,T,o),r(e,ee,o),r(e,M,o),r(e,te,o),r(e,H,o),r(e,oe,o),r(e,_,o),r(e,re,o),r(e,w,o),r(e,se,o),r(e,L,o),r(e,le,o),r(e,S,o),r(e,ne,o),r(e,P,o),r(e,ie,o),r(e,C,o),r(e,ae,o),r(e,x,o),r(e,ce,o),r(e,k,o),r(e,de,o),r(e,q,o),r(e,pe,o),r(e,W,o),r(e,ue,o),r(e,j,o),r(e,me,o),r(e,A,o),r(e,he,o),Ge($,e,o),r(e,fe,o),r(e,E,o),r(e,ge,o),r(e,J,o),be=!0},p:et,i(e){be||(Ve(u.$$.fragment,e),Ve($.$$.fragment,e),be=!0)},o(e){Xe(u.$$.fragment,e),Xe($.$$.fragment,e),be=!1},d(e){e&&(t(R),t(D),t(B),t(d),t(F),t(m),t(Z),t(h),t(Y),t(f),t(G),t(g),t(V),t(b),t(X),t(v),t(K),t(y),t(Q),t(T),t(ee),t(M),t(te),t(H),t(oe),t(_),t(re),t(w),t(se),t(L),t(le),t(S),t(ne),t(P),t(ie),t(C),t(ae),t(x),t(ce),t(k),t(de),t(q),t(pe),t(W),t(ue),t(j),t(me),t(A),t(he),t(fe),t(E),t(ge),t(J)),t(c),Ke(u),Ke($,e)}}}const at={local:"spaces-configuration-reference",title:"Spaces Configuration Reference"};function ct(Te){return tt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ht extends ot{constructor(c){super(),rt(this,c,ct,it,Qe,{})}}export{ht as component};
